# setconstant

`setconstant` is a Python package designed to help developers manage constants with type safety, ensuring that constants are defined once and cannot be redefined. This package is perfect for maintaining clean and error-free code when working with immutable values.

---

## Features

- **Type-safe constants**: Supports integer, float, and string constants.
- **Prevents redefinition**: Ensures constants cannot be reassigned after declaration.
- **Easy retrieval and deletion**: Retrieve or delete constants as needed.
- **Custom error handling**: Provides descriptive errors for invalid operations.

---

## Installation

Install the package from PyPI:

```bash
pip install setconstant
